svn commit: samba r7492 - in branches/SAMBA_4_0/source/script/tests: .

metze at samba.org metze at samba.org
Sat Jun 11 17:55:59 GMT 2005


Author: metze
Date: 2005-06-11 17:55:58 +0000 (Sat, 11 Jun 2005)
New Revision: 7492

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7492

Log:
give better output

metze
Modified:
   branches/SAMBA_4_0/source/script/tests/test_functions.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_functions.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_functions.sh	2005-06-11 10:33:31 UTC (rev 7491)
+++ branches/SAMBA_4_0/source/script/tests/test_functions.sh	2005-06-11 17:55:58 UTC (rev 7492)
@@ -25,8 +25,16 @@
 			if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then
 				rm -f $SOCKET_WRAPPER_DIR/*
 			fi
-			echo "smbd exists with status $ret";
-			echo "smbd exists with status $ret" >>$SMBD_TEST_LOG;
+			if [ x"$ret" = x"0" ];then
+				echo "smbd exists with status $ret";
+				echo "smbd exists with status $ret" >>$SMBD_TEST_LOG;
+			elif [ x"$ret" = x"137" ];then
+				echo "smbd got SIGXCPU and exists with status $ret!"
+				echo "smbd got SIGXCPU and exists with status $ret!">>$SMBD_TEST_LOG;
+			else
+				echo "smbd failed with status $ret!"
+				echo "smbd failed with status $ret!">>$SMBD_TEST_LOG;
+			fi
 			exit $ret;
 		) || exit $? &) 2>/dev/null || exit $?
 		echo  "DONE"



More information about the samba-cvs mailing list